Loading...
Searching...
No Matches
densevector.hh File Reference
Common » Dense Matrix and Vector Template Library

Implements the dense vector interface, with an exchangeable storage class. More...

`#include <algorithm>`
`#include <limits>`
`#include <type_traits>`
`#include "std/cmath.hh"`
`#include "genericiterator.hh"`
`#include "ftraits.hh"`
`#include "matvectraits.hh"`
`#include "promotiontraits.hh"`
`#include "dotproduct.hh"`
`#include "boundschecking.hh"`

Go to the source code of this file.

## Classes

struct | Dune::FieldTraits< DenseVector< V > >
class | Dune::DenseIterator< C, T, R >
| Generic iterator class for dense vector and matrix implementations. More...
class | Dune::DenseVector< V >
| Interface for a class of dense vectors over a given field. More...

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

Implements the dense vector interface, with an exchangeable storage class.